Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.InternalFramePropertyChangeListener

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicInternalFrameUI.InternalFramePropertyChangeListener

All Implemented Interfaces:
  EventListener, PropertyChangeListener

Enclosing class:
  BasicInternalFrameUI

public class BasicInternalFrameUI.InternalFramePropertyChangeListener
extends Object
implements PropertyChangeListener

Constructor Summary
`BasicInternalFrameUI.InternalFramePropertyChangeListener()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent evt)` Detects changes in state from the JInternalFrame and handles actions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.InternalFramePropertyChangeListener

    public BasicInternalFrameUI.InternalFramePropertyChangeListener()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Detects changes in state from the JInternalFrame and handles actions.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.